Loading...
Searching...
No Matches
dattinq.c File Reference

Attribute inquiry functions. More...

`#include "ncdispatch.h"`
Include dependency graph for dattinq.c:

Go to the source code of this file.

## Functions

Learning about Attributes
Functions to learn about the attributes in a file.
int | nc_inq_att (int ncid, int varid, const char *name, nc_type *xtypep, size_t *lenp)
| Return information about a netCDF attribute.
int | nc_inq_attid (int ncid, int varid, const char *name, int *idp)
| Find an attribute ID.
int | nc_inq_attlen (int ncid, int varid, const char *name, size_t *lenp)
| Find the length of an attribute.
int | nc_inq_attname (int ncid, int varid, int attnum, char *name)
| Find the name of an attribute.
int | nc_inq_atttype (int ncid, int varid, const char *name, nc_type *xtypep)
| Find the type of an attribute.
int | nc_inq_natts (int ncid, int *nattsp)
| Find number of global or group attributes.

## Detailed Description

Attribute inquiry functions.

These functions find out about attributes.

Definition in file dattinq.c.